CAPNG_PRINT_CAPS_NUMERIC(3)

NAME
capng_print_caps_numeric - print numeric values for capabilities set

SYNOPSIS
#include <cap-ng.h>

char *capng_print_caps_numeric(capng_print_t where, capng_select_t set);

DESCRIPTION

capng_print_caps_numeric will create a numeric representation of the internal capabilities. The representation can be sent to either stdout or a buffer by passing CAPNG_PRINT_STDOUT or CAPNG_PRINT_BUFFER respectively for the where parameter. If the option was for a buffer, this function will malloc a buffer that the caller must free.

The set parameter controls what is included in the representation. The legal options are CAPNG_SELECT_CAPS for the traditional capabilities, CAPNG_SELECT_BOUNDS for the bounding set, or CAPNG_SELECT_BOTH if clearing both is desired.

RETURN VALUE

If CAPNG_PRINT_BUFFER was selected for where, this will be the text buffer and NULL on failure. If CAPNG_PRINT_STDOUT was selected then this value will be NULL no matter what.

SEE ALSO

capng_print_caps_text(3),capabilities(7)

AUTHOR
Steve Grubb